Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans
Class PropertyVetoException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.beans.PropertyVetoException

All Implemented Interfaces:
  Serializable

    public class PropertyVetoException

extends Exception

A PropertyVetoException is thrown when a proposed change to a property represents an unacceptable value.

See Also:
  Serialized Form

Constructor Summary
`PropertyVetoException(String mess, PropertyChangeEvent evt)` Constructs a `PropertyVetoException` with a detailed message.

Method Summary
`PropertyChangeEvent` | `getPropertyChangeEvent()` Gets the vetoed `PropertyChangeEvent`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyVetoException

    public PropertyVetoException(String mess,
                                 PropertyChangeEvent evt)

  Constructs a `PropertyVetoException` with a detailed message.

  Parameters:
    `mess` - Descriptive message
    `evt` - A PropertyChangeEvent describing the vetoed change.

Method Detail

### getPropertyChangeEvent

    public PropertyChangeEvent getPropertyChangeEvent()

  Gets the vetoed `PropertyChangeEvent`.

  Returns:
    A PropertyChangeEvent describing the vetoed change.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.